# sf::Lock Class Reference

Lock is an exception-safe automatic wrapper for locking and unlocking mutexes. More...

`#include <Lock.hpp>`

Inheritance diagram for sf::Lock:

List of all members.

## Public Member Functions

| Lock (Mutex &Mutex)
| Construct the lock with a target mutex (lock it).
| ~Lock ()
| Destructor (unlocks the mutex).

## Detailed Description

Lock is an exception-safe automatic wrapper for locking and unlocking mutexes.

Definition at line 42 of file Lock.hpp.

## Constructor & Destructor Documentation

sf::Lock::Lock | ( | Mutex & | Mutex | ) |

Construct the lock with a target mutex (lock it).

Parameters:

  | Mutex | : Mutex to lock

Definition at line 37 of file Lock.cpp.

sf::Lock::~Lock | ( |  | ) |

Destructor (unlocks the mutex).

Definition at line 47 of file Lock.cpp.

The documentation for this class was generated from the following files:

- Lock.hpp
- Lock.cpp